#include "Arduino.h"
#include "theSecrets.h"
#include "WiFi.h"
#include "lwip_hooks.h"

int lwip_hook_ip4_input(struct pbuf *pbuf, struct netif *input_netif)
{
    const struct ip_hdr *iphdr;
    char ip_address[IP_HLEN];

    iphdr = (struct ip_hdr *)pbuf->payload;
    sprintf(ip_address, "%d.%d.%d.%d", ip4_addr1_16_val(iphdr->src), ip4_addr2_16_val(iphdr->src), ip4_addr3_16_val(iphdr->src), ip4_addr4_16_val(iphdr->src));
    Serial.print((u16_t)IPH_PROTO(iphdr));
    Serial.print(": ");
    Serial.println(ip_address);
    return 0;
}

void setup()
{
    Serial.begin(115200);
    Serial.println();
    WiFi.begin(ssid, psk);
    while (!WiFi.isConnected())
    {
        Serial.print(".");
        delay(200);
    }
    Serial.println();
    Serial.print("[WiFi] IP: ");
    Serial.println(WiFi.localIP());
}

void loop()
{
    Serial.println("test");
    sleep(1000);
}